org.apache.ignite.internal.cache.query.index.sorted.keys

## Class NullIndexKey

- java.lang.Object
- - org.apache.ignite.internal.cache.query.index.sorted.keys.NullIndexKey

All Implemented Interfaces:
  IndexKey

    public class NullIndexKey
    extends Object
    implements IndexKey

Represents null value stored in index row or query.

### Field Summary

Fields
`static NullIndexKey` `INSTANCE` Instance.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `compare(IndexKey o)`
`Object` `key()`
`String` `toString()`
`IndexKeyType` `type()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.cache.query.index.sorted.keys.IndexKey

`isComparableTo`

### Field Detail

#### INSTANCE

    public static final NullIndexKey INSTANCE

Instance.

### Method Detail

#### compare

    public int compare(IndexKey o)

Specified by:
  `compare` in interface `IndexKey`
Returns:
  Comparison result with other IndexKey.

#### key

    public Object key()

Specified by:
  `key` in interface `IndexKey`
Returns:
  Value of this key.

#### type

    public IndexKeyType type()

Specified by:
  `type` in interface `IndexKey`
Returns:
  Index key type `IndexKeyType`.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.14.0
Release Date | : September 29 2022